<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".modules.home.fragment.from.fragment.AutoTestOneFragment">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/main_background">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:orientation="horizontal">

                <RelativeLayout
                    android:layout_width="100dp"
                    android:layout_height="match_parent">

                    <LinearLayout
                        android:layout_width="100dp"
                        android:layout_height="match_parent"
                        android:orientation="vertical">

                        <ListView
                            android:id="@+id/datatab_left"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:divider="#00000000"
                            android:dividerHeight="3dp" />
                    </LinearLayout>

                    <RelativeLayout
                        android:id="@+id/showbuttomtop"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="#BD25323F"
                        android:clickable="true"
                        android:focusable="true"
                        android:visibility="gone" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">

                    <RelativeLayout
                        android:id="@+id/re_gkcx"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_margin="@dimen/dp_10"
                        android:orientation="vertical"
                        android:visibility="gone"
                        >
                        <Button
                            android:id="@+id/qingkongjishu1"
                            android:layout_width="80dp"
                            android:layout_height="26dp"
                            android:layout_alignParentRight="true"
                            android:layout_marginTop="@dimen/dp_10"
                            android:layout_marginRight="@dimen/dp_10"
                            android:background="@drawable/button1"
                            android:text="清空计数"
                            android:textSize="14dp" />
                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent">

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerInParent="true"
                                android:orientation="vertical">

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="90dp"
                                        android:layout_height="wrap_content"
                                        android:text="锅体正转反转" />

                                    <EditText
                                        android:id="@+id/gkcx1"
                                        android:layout_width="80dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:background="@drawable/input_bj"
                                        android:inputType="number"
                                        android:maxLines="1"
                                        android:padding="3dp"
                                        android:text="10"
                                        android:textSize="12dp" />

                                    <TextView
                                        android:layout_width="130dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:text="圈为一循环" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="90dp"
                                        android:layout_height="wrap_content"
                                        android:text="设置运行循环" />

                                    <EditText
                                        android:id="@+id/gkcx2"

                                        android:layout_width="80dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:background="@drawable/input_bj"
                                        android:inputType="number"
                                        android:maxLines="1"
                                        android:padding="3dp"
                                        android:text="2000"
                                        android:textSize="12dp" />

                                    <TextView
                                        android:layout_width="40dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:text="次" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="90dp"
                                        android:layout_height="wrap_content"
                                        android:text="搅拌组件运行" />

                                    <EditText
                                        android:id="@+id/gkcx3"

                                        android:layout_width="80dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:background="@drawable/input_bj"
                                        android:inputType="number"
                                        android:maxLines="1"
                                        android:padding="3dp"
                                        android:text="2000"
                                        android:textSize="12dp" />

                                    <TextView
                                        android:layout_width="130dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:text="分钟" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <RelativeLayout
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_weight="1">

                                        <LinearLayout
                                            android:layout_width="match_parent"
                                            android:layout_height="wrap_content"
                                            android:orientation="vertical">

                                            <TextView
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="锅体当前已运行：" />

                                            <LinearLayout
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:layout_marginLeft="20dp">

                                                <TextView
                                                    android:id="@+id/gkcx11"
                                                    android:layout_width="wrap_content"
                                                    android:layout_height="wrap_content"
                                                    android:text="0"
                                                    android:textColor="#CC04EF"
                                                    android:textSize="60dp"
                                                    android:textStyle="bold" />

                                                <TextView
                                                    android:layout_width="wrap_content"
                                                    android:layout_height="wrap_content"
                                                    android:text="次" />
                                            </LinearLayout>
                                        </LinearLayout>
                                    </RelativeLayout>

                                    <RelativeLayout
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_weight="1">

                                        <LinearLayout
                                            android:layout_width="match_parent"
                                            android:layout_height="wrap_content"
                                            android:orientation="vertical">

                                            <TextView
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="搅拌当前已运行：" />

                                            <LinearLayout
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:layout_marginLeft="20dp">

                                                <TextView
                                                    android:id="@+id/gkcx22"
                                                    android:layout_width="wrap_content"
                                                    android:layout_height="wrap_content"
                                                    android:text="0"
                                                    android:textColor="#CC04EF"
                                                    android:textSize="60dp"
                                                    android:textStyle="bold" />

                                                <TextView
                                                    android:layout_width="wrap_content"
                                                    android:layout_height="wrap_content"
                                                    android:text="分钟" />
                                            </LinearLayout>
                                        </LinearLayout>
                                    </RelativeLayout>

                                </LinearLayout>


                            </LinearLayout>

                        </RelativeLayout>
                    </RelativeLayout>

                    <RelativeLayout
                        android:id="@+id/re_qingxi"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_margin="@dimen/dp_10"
                        android:orientation="vertical"
                        android:visibility="gone">
                        <Button
                            android:id="@+id/qingkongjishu2"
                            android:layout_width="80dp"
                            android:layout_height="26dp"
                            android:layout_alignParentRight="true"
                            android:layout_marginTop="@dimen/dp_10"
                            android:layout_marginRight="@dimen/dp_10"
                            android:background="@drawable/button1"
                            android:text="清空计数"
                            android:textSize="14dp" />
                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent">

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerInParent="true"
                                android:orientation="vertical">

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="锅体清洗一次为一循环，共运行" />

                                    <EditText
                                        android:id="@+id/qingxi1"
                                        android:layout_width="50dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:background="@drawable/input_bj"
                                        android:inputType="number"
                                        android:maxLines="1"
                                        android:padding="3dp"
                                        android:text="2000"
                                        android:textSize="12dp" />

                                    <TextView
                                        android:layout_width="40dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="@dimen/dp_10"
                                        android:text="次" />
                                </LinearLayout>


                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <RelativeLayout
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_weight="1">

                                        <LinearLayout
                                            android:layout_width="match_parent"
                                            android:layout_height="wrap_content"
                                            android:orientation="horizontal">

                                            <TextView
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="已运行：" />
                                            <TextView
                                                android:id="@+id/qingxi11"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="0"
                                                android:textColor="#CC04EF"
                                                android:textSize="60dp"
                                                android:textStyle="bold" />

                                            <TextView
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="次" />
                                        </LinearLayout>
                                    </RelativeLayout>
                                </LinearLayout>
                            </LinearLayout>

                        </RelativeLayout>
                    </RelativeLayout>

                    <RelativeLayout
                        android:id="@+id/re_touliao"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_margin="@dimen/dp_10"
                        android:orientation="vertical"
                        android:visibility="gone"
                        >
                        <Button
                            android:id="@+id/qingkongjishu3"
                            android:layout_width="80dp"
                            android:layout_height="26dp"
                            android:layout_alignParentRight="true"
                            android:layout_marginTop="@dimen/dp_10"
                            android:layout_marginRight="@dimen/dp_10"
                            android:background="@drawable/button1"
                            android:text="清空计数"
                            android:textSize="14dp" />
                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent">

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerInParent="true"
                                android:orientation="vertical">

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="请选择需要使用的投料机构：" />
                                </LinearLayout>
                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <CheckBox
                                        android:id="@+id/touliao_ck4"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="4号位"
                                        android:checked="true"
                                        android:buttonTint="@color/radiusImageView_selected_mask_color"/>

                                    <CheckBox
                                        android:id="@+id/touliao_ck3"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="3号位"
                                        android:checked="true"
                                        android:buttonTint="@color/radiusImageView_selected_mask_color"/>
                                    <CheckBox
                                        android:id="@+id/touliao_ck2"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="2号位"
                                        android:checked="true"
                                        android:buttonTint="@color/radiusImageView_selected_mask_color"/>
                                    <CheckBox
                                        android:id="@+id/touliao_ck1"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="1号位"
                                        android:checked="true"
                                        android:buttonTint="@color/radiusImageView_selected_mask_color"/>
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="翻转投料一次为一循环，共运行" />

                                    <EditText
                                        android:id="@+id/touliao1"
                                        android:layout_width="50dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:background="@drawable/input_bj"
                                        android:inputType="number"
                                        android:maxLines="1"
                                        android:padding="3dp"
                                        android:text="2000"
                                        android:textSize="12dp" />

                                    <TextView
                                        android:layout_width="40dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="@dimen/dp_10"
                                        android:text="次" />
                                </LinearLayout>


                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <RelativeLayout
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_weight="1">

                                        <LinearLayout
                                            android:layout_width="match_parent"
                                            android:layout_height="wrap_content"
                                            android:orientation="horizontal">

                                            <TextView
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="已运行：" />

                                            <TextView
                                                android:id="@+id/touliao11"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="0"
                                                android:textColor="#CC04EF"
                                                android:textSize="60dp"
                                                android:textStyle="bold" />

                                            <TextView
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="次" />
                                        </LinearLayout>
                                    </RelativeLayout>
                                </LinearLayout>
                            </LinearLayout>

                        </RelativeLayout>
                    </RelativeLayout>

                    <RelativeLayout
                        android:id="@+id/re_yetiliao"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_margin="@dimen/dp_10"
                        android:orientation="vertical"
                        android:visibility="gone">
                        <Button
                            android:id="@+id/qingkongjishu4"
                            android:layout_width="80dp"
                            android:layout_height="26dp"
                            android:layout_alignParentRight="true"
                            android:layout_marginTop="@dimen/dp_10"
                            android:layout_marginRight="@dimen/dp_10"
                            android:background="@drawable/button1"
                            android:text="清空计数"
                            android:textSize="14dp" />
                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent">

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerInParent="true"
                                android:orientation="vertical">

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="请选择需要使用的液体仓：" />
                                </LinearLayout>
                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <CheckBox
                                        android:id="@+id/chuliao_ck4"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="4号仓"
                                        android:checked="true"
                                        android:buttonTint="@color/radiusImageView_selected_mask_color"/>

                                    <CheckBox
                                        android:id="@+id/chuliao_ck3"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="3号仓"
                                        android:checked="true"
                                        android:buttonTint="@color/radiusImageView_selected_mask_color"/>
                                    <CheckBox
                                        android:id="@+id/chuliao_ck2"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="2号仓"
                                        android:checked="true"
                                        android:buttonTint="@color/radiusImageView_selected_mask_color"/>
                                    <CheckBox
                                        android:id="@+id/chuliao_ck1"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="1号仓"
                                        android:checked="true"
                                        android:buttonTint="@color/radiusImageView_selected_mask_color"/>
                                </LinearLayout>
                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="通料加料一次为一循环，共运行" />

                                    <EditText
                                        android:id="@+id/yetiliao1"
                                        android:layout_width="50dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:background="@drawable/input_bj"
                                        android:inputType="number"
                                        android:maxLines="1"
                                        android:padding="3dp"
                                        android:text="2000"
                                        android:textSize="12dp" />

                                    <TextView
                                        android:layout_width="40dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="@dimen/dp_10"
                                        android:text="次" />
                                </LinearLayout>


                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <RelativeLayout
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_weight="1">

                                        <LinearLayout
                                            android:layout_width="match_parent"
                                            android:layout_height="wrap_content"
                                            android:orientation="horizontal">

                                            <TextView
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="已运行：" />

                                            <TextView
                                                android:id="@+id/yetiliao11"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="0"
                                                android:textColor="#CC04EF"
                                                android:textSize="60dp"
                                                android:textStyle="bold" />

                                            <TextView
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="次" />
                                        </LinearLayout>
                                    </RelativeLayout>
                                </LinearLayout>
                            </LinearLayout>

                        </RelativeLayout>
                    </RelativeLayout>

                    <RelativeLayout
                        android:id="@+id/re_yanchi"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_margin="@dimen/dp_10"
                        android:orientation="vertical"
                        android:visibility="gone">
                        <Button
                            android:id="@+id/qingkongjishu5"
                            android:layout_width="80dp"
                            android:layout_height="26dp"
                            android:layout_alignParentRight="true"
                            android:layout_marginTop="@dimen/dp_10"
                            android:layout_marginRight="@dimen/dp_10"
                            android:background="@drawable/button1"
                            android:text="清空计数"
                            android:textSize="14dp" />
                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent">

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerInParent="true"
                                android:orientation="vertical">

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="当前加热" />

                                    <Spinner
                                        android:id="@+id/HuoLi"
                                        style="@style/commonSpinnerStyle"
                                        android:layout_width="80dp"
                                        android:layout_height="24dp"
                                        android:layout_centerVertical="true" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:text="档" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="加热持续" />

                                    <EditText
                                        android:id="@+id/yanchi1"
                                        android:layout_width="80dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:background="@drawable/input_bj"
                                        android:inputType="number"
                                        android:maxLines="1"
                                        android:padding="3dp"
                                        android:text="10"
                                        android:textSize="12dp" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:text="秒" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="冷却锅体" />

                                    <EditText
                                        android:id="@+id/yanchi2"
                                        android:layout_width="80dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:background="@drawable/input_bj"
                                        android:inputType="number"
                                        android:maxLines="1"
                                        android:padding="3dp"
                                        android:text="10"
                                        android:textSize="12dp" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:text="分钟" />


                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="执行循环" />

                                    <EditText
                                        android:id="@+id/yanchi3"
                                        android:layout_width="80dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:background="@drawable/input_bj"
                                        android:inputType="number"
                                        android:maxLines="1"
                                        android:padding="3dp"
                                        android:text="1000"
                                        android:textSize="12dp" />

                                    <TextView
                                        android:layout_width="40dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:text="次" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <RelativeLayout
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_weight="1">

                                        <LinearLayout
                                            android:layout_width="match_parent"
                                            android:layout_height="wrap_content"
                                            android:orientation="horizontal">

                                            <TextView
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="已运行：" />

                                            <TextView
                                                android:id="@+id/yanchi11"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="0"
                                                android:textColor="#CC04EF"
                                                android:textSize="60dp"
                                                android:layout_marginLeft="5dp"
                                                android:textStyle="bold" />

                                            <TextView
                                                android:layout_marginLeft="5dp"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="次" />

                                        </LinearLayout>
                                    </RelativeLayout>
                                </LinearLayout>
                            </LinearLayout>

                        </RelativeLayout>
                    </RelativeLayout>

                    <RelativeLayout
                        android:id="@+id/re_jiare"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_margin="@dimen/dp_10"
                        android:orientation="vertical"
                        android:visibility="gone">
                        <Button
                            android:id="@+id/qingkongjishu6"
                            android:layout_width="80dp"
                            android:layout_height="26dp"
                            android:layout_alignParentRight="true"
                            android:layout_marginTop="@dimen/dp_10"
                            android:layout_marginRight="@dimen/dp_10"
                            android:background="@drawable/button1"
                            android:text="清空计数"
                            android:textSize="14dp" />
                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent">

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerInParent="true"
                                android:orientation="vertical">

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="加热挡位" />

                                    <TextView
                                        android:id="@+id/jiaredangwei"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="20dp"
                                        android:text="一档"
                                        android:textColor="#E200EA"
                                        android:textSize="24dp"
                                        android:textStyle="bold" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="加热持续" />

                                    <EditText
                                        android:id="@+id/jiare1"
                                        android:layout_width="80dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:background="@drawable/input_bj"
                                        android:inputType="number"
                                        android:maxLines="1"
                                        android:padding="3dp"
                                        android:text="10"
                                        android:textSize="12dp" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:text="秒" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="停止冷却" />

                                    <EditText
                                        android:id="@+id/jiare2"
                                        android:layout_width="80dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:background="@drawable/input_bj"
                                        android:inputType="number"
                                        android:maxLines="1"
                                        android:padding="3dp"
                                        android:text="5"
                                        android:textSize="12dp" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:text="分钟" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="执行循环" />

                                    <EditText
                                        android:id="@+id/jiare3"
                                        android:layout_width="80dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:background="@drawable/input_bj"
                                        android:inputType="number"
                                        android:maxLines="1"
                                        android:padding="3dp"
                                        android:text="1000"
                                        android:textSize="12dp" />

                                    <TextView
                                        android:layout_width="40dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:text="次" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">
                                    <RelativeLayout
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_weight="1">

                                        <LinearLayout
                                            android:layout_width="match_parent"
                                            android:layout_height="wrap_content"
                                            android:orientation="horizontal">

                                            <TextView
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="已运行：" />
                                            <TextView
                                                android:id="@+id/jiare11"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="0"
                                                android:textColor="#CC04EF"
                                                android:textSize="60dp"
                                                android:textStyle="bold" />

                                            <TextView
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:layout_marginLeft="5dp"
                                                android:text="次" />

                                        </LinearLayout>
                                    </RelativeLayout>
                                </LinearLayout>
                            </LinearLayout>

                        </RelativeLayout>
                    </RelativeLayout>

                    <RelativeLayout
                        android:id="@+id/re_jiarewending"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_margin="@dimen/dp_10"
                        android:orientation="vertical"
                        android:visibility="gone">
                        <Button
                            android:id="@+id/qingkongjishu7"
                            android:layout_width="80dp"
                            android:layout_height="26dp"
                            android:layout_alignParentRight="true"
                            android:layout_marginTop="@dimen/dp_10"
                            android:layout_marginRight="@dimen/dp_10"
                            android:background="@drawable/button1"
                            android:text="清空计数"
                            android:textSize="14dp" />
                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent">

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerInParent="true"
                                android:orientation="vertical">

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="加热挡位" />

                                    <Spinner
                                        android:id="@+id/HuoLi1"
                                        style="@style/commonSpinnerStyle"
                                        android:layout_width="80dp"
                                        android:layout_height="24dp"
                                        android:layout_centerVertical="true" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:text="档" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="预先加热" />

                                    <EditText
                                        android:id="@+id/jiarewending1"
                                        android:layout_width="80dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:background="@drawable/input_bj"
                                        android:inputType="number"
                                        android:maxLines="1"
                                        android:padding="3dp"
                                        android:text="10"
                                        android:textSize="12dp" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"

                                        android:text="秒" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="重新加热" />

                                    <EditText
                                        android:id="@+id/jiarewending2"
                                        android:layout_width="80dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:background="@drawable/input_bj"
                                        android:inputType="number"
                                        android:maxLines="1"
                                        android:padding="3dp"
                                        android:text="5"
                                        android:textSize="12dp" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"

                                        android:text="秒" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="执行循环" />

                                    <EditText
                                        android:id="@+id/jiarewending3"
                                        android:layout_width="80dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:background="@drawable/input_bj"
                                        android:inputType="number"
                                        android:maxLines="1"
                                        android:padding="3dp"
                                        android:text="500"
                                        android:textSize="12dp" />

                                    <TextView
                                        android:layout_width="40dp"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="5dp"
                                        android:text="次" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/dp_10">

                                    <RelativeLayout
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_weight="1">

                                        <LinearLayout
                                            android:layout_width="match_parent"
                                            android:layout_height="wrap_content"
                                            android:orientation="horizontal">

                                            <TextView
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="已运行：" />
                                            <TextView
                                                android:id="@+id/jiarewending11"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="0"
                                                android:textColor="#CC04EF"
                                                android:textSize="60dp"
                                                android:textStyle="bold" />

                                            <TextView
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:layout_marginLeft="5dp"
                                                android:text="次" />

                                        </LinearLayout>
                                    </RelativeLayout>
                                </LinearLayout>
                            </LinearLayout>

                        </RelativeLayout>
                    </RelativeLayout>
                </RelativeLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="#c6d7ed"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="2dp"
                    android:layout_alignParentBottom="true"
                    android:layout_marginBottom="@dimen/dp_10" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true">

                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_marginRight="80dp">

                            <Chronometer
                                android:id="@+id/runtime"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerInParent="true"
                                android:layout_marginLeft="3dp"
                                android:textColor="#BEAA6A"
                                android:textSize="80dp"
                                android:text="00:00:00"
                                android:textStyle="bold|italic" />
                        </RelativeLayout>

                        <ImageView
                            android:id="@+id/start_goodmake"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:src="@mipmap/zhizuo_ks2" />
                    </LinearLayout>

                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="180dp">
                    <ScrollView
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@drawable/input_bj"
                       >

                        <TextView
                            android:id="@+id/miaoshu"
                            android:textSize="12dp"
                            android:layout_marginLeft="10dp"
                            android:text=""
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"/>

                    </ScrollView>
<!--                    <TextView-->
<!--                        android:id="@+id/miaoshu"-->
<!--                        android:layout_width="match_parent"-->
<!--                        android:background="@drawable/input_bj"-->
<!--                        android:text="22222222\nsddsd\nsddsd\nsddsd\nsddsd\nsddsd\nsddsd\nsddsd\nsddsd\nsddsd\nsddsd\nsddsd\nsddsd\nsddsd\nsddsd\nsddsd"-->
<!--                        android:layout_height="180dp"-->
<!--                        android:textSize="12dp"-->
<!--                        android:scrollHorizontally="true">-->
<!--                    </TextView>-->
<!--                    <EditText-->
<!--                        android:id="@+id/miaoshu"-->
<!--                        android:visibility="gone"-->
<!--                        android:layout_width="match_parent"-->
<!--                        android:layout_height="180dp"-->
<!--                        android:background="@drawable/input_bj"-->
<!--                        android:gravity="top"-->
<!--                        android:inputType="textMultiLine"-->
<!--                        android:padding="3dp"-->
<!--                        android:scrollHorizontally="false"-->
<!--                        android:text=""-->
<!--                        android:focusable="false"-->
<!--                        android:enabled="false"-->
<!--                        android:clickable="false"-->
<!--                        android:textSize="12dp" />-->
                    <Button
                        android:id="@+id/qingkong"
                        android:layout_width="80dp"
                        android:layout_height="26dp"
                        android:layout_alignParentRight="true"
                        android:layout_marginTop="@dimen/dp_10"
                        android:layout_marginRight="@dimen/dp_10"
                        android:background="@drawable/button1"
                        android:text="清空显示"
                        android:textSize="14dp" />
                </RelativeLayout>
            </LinearLayout>
        </LinearLayout>

    </RelativeLayout>

</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>